Skip to main content
`Ctrl`+`K`
scipy.stats.gaussian_kde.

# integrate_box

gaussian_kde.integrate_box(low_bounds, high_bounds, maxpts=None, *, rng=None)

  Computes the integral of a pdf over a rectangular interval.

  Parameters:
    low_bounds array_like

      A 1-D array containing the lower bounds of integration.

    high_bounds array_like

      A 1-D array containing the upper bounds of integration.

    maxpts int, optional

      The maximum number of points to use for integration.

    rng `numpy.random.Generator`, optional

      Pseudorandom number generator state. When rng is None, a new generator is created using entropy from the operating system. Types other than `numpy.random.Generator` are passed to `numpy.random.default_rng` to instantiate a `Generator`.

  Returns:
    value scalar

      The result of the integral.